<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from bigint_sum.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="bigint_sum" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>bigint_sum</refname>
    <refpurpose>overloading compatibility for bigint matrix sum</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   M=sum(M [,opt])
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>M :</term>
      <listitem><para> bigint</para></listitem></varlistentry>
   <varlistentry><term>opt :</term>
      <listitem><para> string 'c' or 'r'</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
sum of the bigint matrix entries (M(1,1) here) you can specify sum over rows/column with optional argument 'r' ou 'c' .
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

M=bigint(123456789);
sum(M)
sum(M,'r')
sum(M,'c')

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="size">size</link></member>
   <member><link linkend="bigint">bigint</link></member>
   <member><link linkend="mbigint_sum">mbigint_sum</link></member>
   <member><link linkend="sum">sum</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
